declare module 'lincd-dcmi' {
	
}

declare module 'lincd-dcmi/lib/ontologies/dc' {
	/// <reference types="lincd" />
	import { NamedNode } from 'lincd/lib/models';
	export var loadData: () => Promise<import("lincd-jsonld/lib/utils/JSONLD").JSONLDParseResult>;
	export var ns: (term: any) => NamedNode;
	export var _self: NamedNode;
	export var contributor: NamedNode;
	export var coverage: NamedNode;
	export var creator: NamedNode;
	export var date: NamedNode;
	export var description: NamedNode;
	export var format: NamedNode;
	export var identifier: NamedNode;
	export var language: NamedNode;
	export var publisher: NamedNode;
	export var relation: NamedNode;
	export var rights: NamedNode;
	export var source: NamedNode;
	export var subject: NamedNode;
	export var title: NamedNode;
	export var type: NamedNode;
	export const dcelems: {
	    contributor: NamedNode;
	    coverage: NamedNode;
	    creator: NamedNode;
	    date: NamedNode;
	    description: NamedNode;
	    format: NamedNode;
	    identifier: NamedNode;
	    language: NamedNode;
	    publisher: NamedNode;
	    relation: NamedNode;
	    rights: NamedNode;
	    source: NamedNode;
	    subject: NamedNode;
	    title: NamedNode;
	    type: NamedNode;
	};
}

declare module 'lincd-dcmi/lib/package' {
	export const linkedComponent: <ShapeType extends import("lincd/lib/shapes/Shape").Shape, P = {}>(shapeClass: typeof import("lincd/lib/shapes/Shape").Shape, functionalComponent?: import("lincd/lib/interfaces/Component").FunctionalComponent<P, ShapeType>) => import("lincd/lib/interfaces/Component").FunctionalComponent<Omit<Omit<P, "source">, "sourceShape"> & import("lincd/lib/interfaces/Component").LinkedComponentProps<ShapeType>, ShapeType>, linkedShape: <T extends typeof import("lincd/lib/shapes/Shape").Shape>(constructor: T) => T, linkedUtil: (constructor: any) => any, linkedOntology: (allFileExports: any, nameSpace: (term: string) => import("lincd/lib/models").NamedNode, suggestedPrefixAndFileName: string, loadDataFunction?: () => Promise<any>, dataSource?: string) => void, registerPackageExport: (exportedObject: any) => void, packageExports: any;
}

declare module 'lincd-dcmi/lib/ontologies/dcterms' {
	/// <reference types="lincd" />
	import { NamedNode } from 'lincd/lib/models';
	export var loadData: () => Promise<import("lincd-jsonld/lib/utils/JSONLD").JSONLDParseResult>;
	export var ns: (term: any) => NamedNode;
	export var _self: NamedNode;
	export var AgentClass: NamedNode;
	export var abstract: NamedNode;
	export var accessRights: NamedNode;
	export var accrualMethod: NamedNode;
	export var accrualPeriodicity: NamedNode;
	export var accrualPolicy: NamedNode;
	export var alternative: NamedNode;
	export var audience: NamedNode;
	export var available: NamedNode;
	export var bibliographicCitation: NamedNode;
	export var conformsTo: NamedNode;
	export var contributor: NamedNode;
	export var coverage: NamedNode;
	export var created: NamedNode;
	export var creator: NamedNode;
	export var date: NamedNode;
	export var dateAccepted: NamedNode;
	export var dateCopyrighted: NamedNode;
	export var dateSubmitted: NamedNode;
	export var description: NamedNode;
	export var educationLevel: NamedNode;
	export var extent: NamedNode;
	export var format: NamedNode;
	export var hasFormat: NamedNode;
	export var hasPart: NamedNode;
	export var hasVersion: NamedNode;
	export var identifier: NamedNode;
	export var instructionalMethod: NamedNode;
	export var isFormatOf: NamedNode;
	export var isPartOf: NamedNode;
	export var isReferencedBy: NamedNode;
	export var isReplacedBy: NamedNode;
	export var isRequiredBy: NamedNode;
	export var issued: NamedNode;
	export var isVersionOf: NamedNode;
	export var language: NamedNode;
	export var license: NamedNode;
	export var mediator: NamedNode;
	export var medium: NamedNode;
	export var modified: NamedNode;
	export var provenance: NamedNode;
	export var publisher: NamedNode;
	export var references: NamedNode;
	export var relation: NamedNode;
	export var replaces: NamedNode;
	export var requires: NamedNode;
	export var rights: NamedNode;
	export var rightsHolder: NamedNode;
	export var source: NamedNode;
	export var spatial: NamedNode;
	export var subject: NamedNode;
	export var tableOfContents: NamedNode;
	export var temporal: NamedNode;
	export var title: NamedNode;
	export var type: NamedNode;
	export var valid: NamedNode;
	export const dcterms: {
	    AgentClass: NamedNode;
	    abstract: NamedNode;
	    accessRights: NamedNode;
	    accrualMethod: NamedNode;
	    accrualPeriodicity: NamedNode;
	    accrualPolicy: NamedNode;
	    alternative: NamedNode;
	    audience: NamedNode;
	    available: NamedNode;
	    bibliographicCitation: NamedNode;
	    conformsTo: NamedNode;
	    contributor: NamedNode;
	    coverage: NamedNode;
	    created: NamedNode;
	    creator: NamedNode;
	    date: NamedNode;
	    dateAccepted: NamedNode;
	    dateCopyrighted: NamedNode;
	    dateSubmitted: NamedNode;
	    description: NamedNode;
	    educationLevel: NamedNode;
	    extent: NamedNode;
	    format: NamedNode;
	    hasFormat: NamedNode;
	    hasPart: NamedNode;
	    hasVersion: NamedNode;
	    identifier: NamedNode;
	    instructionalMethod: NamedNode;
	    isFormatOf: NamedNode;
	    isPartOf: NamedNode;
	    isReferencedBy: NamedNode;
	    isReplacedBy: NamedNode;
	    isRequiredBy: NamedNode;
	    issued: NamedNode;
	    isVersionOf: NamedNode;
	    language: NamedNode;
	    license: NamedNode;
	    mediator: NamedNode;
	    medium: NamedNode;
	    modified: NamedNode;
	    provenance: NamedNode;
	    publisher: NamedNode;
	    references: NamedNode;
	    relation: NamedNode;
	    replaces: NamedNode;
	    requires: NamedNode;
	    rights: NamedNode;
	    rightsHolder: NamedNode;
	    source: NamedNode;
	    spatial: NamedNode;
	    subject: NamedNode;
	    tableOfContents: NamedNode;
	    temporal: NamedNode;
	    title: NamedNode;
	    type: NamedNode;
	    valid: NamedNode;
	};
}

