import { Shape } from 'lincd/lib/shapes/Shape';
import { NamedNode } from 'lincd/lib/models';
export declare class Image extends Shape {
    static targetClass: NamedNode;
    get title(): string;
    set title(value: string);
    get description(): string;
    set description(value: string);
    /**
     * Sets the date that the image was taken.
     * Needs to confirm ISO 8601 date/time,
     * @see pattern from: https://stackoverflow.com/a/37563868
     * @see https://www.w3.org/TR/NOTE-datetime
     */
    get date(): string | Date;
    set date(value: string | Date);
    get format(): string;
    set format(value: string);
    get creator(): NamedNode;
    set creator(value: NamedNode);
    get publisher(): NamedNode;
    set publisher(value: NamedNode);
    get subjects(): import("lincd/lib/collections/NodeValuesSet").NodeValuesSet;
}
