"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = void 0;
const Shape_1 = require("lincd/lib/shapes/Shape");
const models_1 = require("lincd/lib/models");
const package_1 = require("../package");
const dcmitype_1 = require("../ontologies/dcmitype");
const dcterms_1 = require("../ontologies/dcterms");
const ShapeDecorators_1 = require("lincd/lib/utils/ShapeDecorators");
let Image = class Image extends Shape_1.Shape {
    get title() {
        return this.getValue(dcterms_1.dcterms.title);
    }
    set title(value) {
        this.overwrite(dcterms_1.dcterms.title, new models_1.Literal(value));
    }
    get description() {
        return this.getValue(dcterms_1.dcterms.description);
    }
    set description(value) {
        this.overwrite(dcterms_1.dcterms.description, new models_1.Literal(value));
    }
    /**
     * Sets the date that the image was taken.
     * Needs to confirm ISO 8601 date/time,
     * @see pattern from: https://stackoverflow.com/a/37563868
     * @see https://www.w3.org/TR/NOTE-datetime
     */
    get date() {
        return this.getValue(dcterms_1.dcterms.date);
    }
    set date(value) {
        if (value instanceof Date) {
            value = value.toISOString();
        }
        this.overwrite(dcterms_1.dcterms.date, new models_1.Literal(value));
    }
    get format() {
        return this.getValue(dcterms_1.dcterms.format);
    }
    set format(value) {
        this.overwrite(dcterms_1.dcterms.format, new models_1.Literal(value));
    }
    get creator() {
        return this.getOne(dcterms_1.dcterms.creator);
    }
    set creator(value) {
        this.overwrite(dcterms_1.dcterms.creator, value);
    }
    get publisher() {
        return this.getOne(dcterms_1.dcterms.publisher);
    }
    set publisher(value) {
        this.overwrite(dcterms_1.dcterms.publisher, value);
    }
    get subjects() {
        return this.getAll(dcterms_1.dcterms.subject);
    }
};
Image.targetClass = dcmitype_1.dcmitype.Image;
__decorate([
    (0, ShapeDecorators_1.literalProperty)({
        path: dcterms_1.dcterms.date,
        pattern: /^\d{4}(-\d\d(-\d\d(T\d\d:\d\d(:\d\d)?(\.\d+)?(([+-]\d\d:\d\d)|Z)?)?)?)?$/i,
    }),
    __metadata("design:type", Object),
    __metadata("design:paramtypes", [Object])
], Image.prototype, "date", null);
Image = __decorate([
    package_1.linkedShape
], Image);
exports.Image = Image;
//# sourceMappingURL=Image.js.map