import {NamedNode} from 'lincd/lib/models';
import {JSONLD} from 'lincd-jsonld/lib/utils/JSONLD';
import {createNameSpace} from 'lincd/lib/utils/NameSpace';
import {linkedOntology} from '../package';
import * as _this from './dc';

export var loadData = () => JSONLD.parsePromise(import('../data/dcelems.json'));

export var ns = createNameSpace('http://purl.org/dc/elements/1.1/');

export var _self: NamedNode = ns('');

// Properties
export var contributor: NamedNode = ns('contributor');
export var coverage: NamedNode = ns('coverage');
export var creator: NamedNode = ns('creator');
export var date: NamedNode = ns('date');
export var description: NamedNode = ns('description');
export var format: NamedNode = ns('format');
export var identifier: NamedNode = ns('identifier');
export var language: NamedNode = ns('language');
export var publisher: NamedNode = ns('publisher');
export var relation: NamedNode = ns('relation');
export var rights: NamedNode = ns('rights');
export var source: NamedNode = ns('source');
export var subject: NamedNode = ns('subject');
export var title: NamedNode = ns('title');
export var type: NamedNode = ns('type');

export const dcelems = {
  contributor,
  coverage,
  creator,
  date,
  description,
  format,
  identifier,
  language,
  publisher,
  relation,
  rights,
  source,
  subject,
  title,
  type,
};

linkedOntology(_this, ns, 'dc', loadData, '../data/dcelems.json'); // RDF seems to use 'dc' as the prefix
